curl --request PATCH \
--url https://api.cyberdesk.io/v1/machines/{machine_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"version": "<string>",
"hostname": "<string>",
"os_info": "<string>",
"is_available": true,
"alerts_enabled": true,
"last_seen": "2023-11-07T05:31:56Z",
"reserved_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"machine_parameters": {},
"machine_sensitive_parameters": {}
}
'import requests
url = "https://api.cyberdesk.io/v1/machines/{machine_id}"
payload = {
"name": "<string>",
"version": "<string>",
"hostname": "<string>",
"os_info": "<string>",
"is_available": True,
"alerts_enabled": True,
"last_seen": "2023-11-07T05:31:56Z",
"reserved_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"machine_parameters": {},
"machine_sensitive_parameters": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
version: '<string>',
hostname: '<string>',
os_info: '<string>',
is_available: true,
alerts_enabled: true,
last_seen: '2023-11-07T05:31:56Z',
reserved_session_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
machine_parameters: {},
machine_sensitive_parameters: {}
})
};
fetch('https://api.cyberdesk.io/v1/machines/{machine_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unkey_key_id": "<string>",
"status": "connected",
"is_available": true,
"alerts_enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"last_seen": "2023-11-07T05:31:56Z",
"name": "<string>",
"version": "<string>",
"hostname": "<string>",
"os_info": "<string>",
"machine_parameters": {},
"machine_sensitive_parameters": {},
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"reserved_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_keepalive_machine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"physical_server_id": "<string>",
"pools": [
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"pool_parameters": {},
"pool_sensitive_parameters": {},
"machine_count": 0
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Update Machine
Update a machine’s information.
Only the fields provided in the request body will be updated. The machine must belong to the authenticated organization.
For machine_sensitive_parameters: provide actual secret values and they will be stored in Basis Theory. Only aliases will be stored in the database.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.
"550e8400-e29b-41d4-a716-446655440000"
Path Parameters
Body
Schema for updating a machine
25550255connected, disconnected, error Set to null to clear reservation; server will cancel any scheduling/running run on this machine, clear reservation, mark machine available, and trigger matching
Machine-specific input values. Provide empty dict {} to clear all.
Machine-specific sensitive input values (will be stored in Basis Theory). Provide empty dict {} to clear all.
Show child attributes
Show child attributes
Response
Successful Response
Machine response schema
connected, disconnected, error 25550255Machine-specific input values that auto-populate runs
Machine-specific sensitive input aliases (stored in Basis Theory)
Show child attributes
Show child attributes
Fly machine ID hosting the WebSocket connection
Show child attributes
Show child attributes
Was this page helpful?